<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('locations', function (Blueprint $table) {
            $table->unsignedBigInteger('locatable_id')->nullable()->change();
            $table->string('locatable_type')->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('locations', function (Blueprint $table) {
            $table->unsignedBigInteger('locatable_id')->nullable(false)->change();
            $table->string('locatable_type')->nullable(false)->change();
        });
    }
};
